%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-boxes
Version:	3.10.2
Release:	%mkrel 1
Summary:	A simple GNOME 3 application to access remote or virtual systems
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		https://wiki.gnome.org/Boxes
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala >= 0.17.2
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.3.2
BuildRequires:	pkgconfig(clutter-1.0) >= 1.11.5
BuildRequires:	pkgconfig(glib-2.0) => 2.29.90
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.4
BuildRequires:	pkgconfig(libvirt-gobject-1.0) >= 0.1.5
BuildRequires:	pkgconfig(libvirt-gconfig-1.0) >= 0.1.6
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.12.101
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(libosinfo-1.0) >= 0.2.6
BuildRequires:	pkgconfig(tracker-sparql-0.16) >= 0.13.1
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
# XXX - libvirtd service should be running
Requires:	libvirt-utils
Requires:	qemu-img
Requires:	qemu
# Needed for unattended installer:
Requires:	mtools
Requires:	fuseiso
# gnome-boxes uses a dark theme
Requires: gnome-icon-theme

%description
Boxes lets you easily create, setup, access, and use:
* remote machines
* remote virtual machines
* local virtual machines
* When technology permits, set up access for applications on local virtual machines.

%prep
%setup -q

# add semicolon after mimetype (will be fixed in 3.3.3!)
sed -i -e 's,^\(MimeType=.*[^;]\)$,\1;,g' data/gnome-boxes.desktop.in.in

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/gnome-boxes.appdata.xml
%{_libexecdir}/gnome-boxes-search-provider
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/gnome-boxes.*
%{_datadir}/glib-2.0/schemas/org.gnome.boxes.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Boxes.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/gnome-boxes-search-provider.ini


%changelog
* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551978
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550156
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536434
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484279
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480892
- new version 3.9.92

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91.1-1.mga4
+ Revision: 475195
- new version 3.9.91.1

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474554
- update file list

  + ovitters <ovitters>
    - new version 3.9.91

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468318
- new version 3.9.90

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460517
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458365
- new version 3.9.3

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454288
- Rebuild for new cogl

* Tue May 28 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 429406
- new version 3.8.3

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427687
- update libvirt requirements
- buildrequire tracker-sparql-0.16 (not 0.14)
- buildrequire libosinfo >= 0.2.6

  + ovitters <ovitters>
    - br itstool,libxml2-utils
    - new version 3.8.2

* Mon Jan 14 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 388098
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317460
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1.1-1.mga3
+ Revision: 307300
- br libsoup-2.4
- new version 3.6.1.1
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297513
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296172
- new version 3.5.92

* Tue Sep 11 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 292443
- update br
- rebuild; only src rpm was available

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287744
- new version 3.5.91

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285503
- update file list
- tweak vala br

  + ovitters <ovitters>
    - br pkgconfig(uuid)
    - new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280307
- update br
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4.1-1.mga3
+ Revision: 271426
- new version 3.5.4.1
- new version 3.5.4

* Tue Jul 03 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 266988
- improve summary and description (thanks fedora:P)

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264573
- update br
- br clutter-1.0
- new version 3.5.3

* Sat Jun 09 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 258997
- new version 3.4.3

* Tue May 29 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 249211
- update buildrequires
- new version 3.4.2
- new version 3.4.1

* Sun Apr 01 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 227703
- update buildrequires
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226704
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225070
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219680
- bump req
- new version 3.3.91

* Thu Feb 23 2012 tv <tv> 3.3.90-2.mga2
+ Revision: 213165
- rebuild for new cogl

  + fwang <fwang>
    - fix br
    - new version 3.3.90

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5.1-1.mga2
+ Revision: 206537
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206511
- explicitly enable vala
- fix compilation using upstream instructions
- fix buildrequires
- new version

* Wed Jan 25 2012 ovitters <ovitters> 3.3.4.1-1.mga2
+ Revision: 201488
- new version

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197341
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197018
- fix buildrequires
- new version

* Wed Jan 11 2012 ovitters <ovitters> 3.3.3-5.mga2
+ Revision: 194853
- fix requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-4.mga2
+ Revision: 194472
- even more requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 194465
- fix more requires (thanks to Michael Hill)

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 194464
- fix requires (thanks to Michael Hill)

* Wed Dec 21 2011 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 185369
- new version 3.3.3

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175024
- fix URL

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 174969
- fix MimeType in desktop file
- Unity is not in .desktop file, no need to remove
- imported package gnome-boxes

